package com.tzld.piaoquan.ad.engine.commons.enums;

public enum RedisPrefixEnum {

    ADVANCE_SHOW_AD_FLAG("ad:advance:show:ad:flag:%s", "是否提前出广告标识,0-否；1-是"),
    ADVER_IS_API_EQ_0_IDS("ad:adver:isapi:0", "未回传广告主ID集合"),
    AD_USER_ROR_BEHAVIOR("ad:user:ror:behavior:%s", "用户ror行为特征"),
    AD_USER_ROR_BEHAVIOR_COPY("ad:user:ror:behavior_copy:%s", "用户ror行为特征副本"),
    AD_USER_FISSION_RATE_BEHAVIOR("ad:user:fission:rate:behavior:%s", "用户fission_rate行为特征"),
    AD_USER_FISSION_RATE_BEHAVIOR_COPY("ad:user:fission:rate:behavior_copy:%s", "用户fission_rate行为特征副本"),
    ADVANCE_HOLIDAY_FLAG("ad:advance:holiday:show:ad:flag:%s", "是否是节日,0-否；1-是"),
    ;
    private String prefix;
    private String desc;

    RedisPrefixEnum(String prefix, String desc) {
        this.prefix = prefix;
        this.desc = desc;
    }

    public String getPrefix() {
        return prefix;
    }

    public String getDesc() {
        return desc;
    }

}
